Bug 108968 - [CI][BAT] igt@* - dmesg-warn - GuC firmware signature verification failed
Summary: [CI][BAT] igt@* - dmesg-warn - GuC firmware signature verification failed
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Robert M. Fosha
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-07 14:27 UTC by Martin Peres
Modified: 2019-04-05 20:04 UTC (History)
1 user (show)

See Also:
i915 platform: BXT
i915 features: firmware/guc


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-12-07 14:27:46 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5286/fi-apl-guc/igt@prime_self_import@basic-llseek-bad.html

<7> [348.691642] [drm:intel_uc_fw_upload [i915]] GuC fw load i915/bxt_guc_ver9_29.bin
<7> [348.691710] [drm:intel_uc_fw_upload [i915]] GuC fw load PENDING
<7> [348.792143] [drm:guc_fw_xfer [i915]] GuC status 0x400000a0
<3> [348.792214] [drm:guc_fw_xfer [i915]] *ERROR* GuC firmware signature verification failed
<7> [348.792330] [drm:intel_uc_fw_upload [i915]] GuC fw load FAIL
<4> [348.792335] [drm] GuC: Failed to load firmware i915/bxt_guc_ver9_29.bin (error -8)
<3> [348.792343] i915 0000:00:02.0: GuC initialization failed -8
<3> [348.792434] [drm:i915_gem_init_hw [i915]] *ERROR* Enabling uc failed (-8)
<3> [348.792522] [drm:i915_reset [i915]] *ERROR* Failed to initialise HW following reset (-8)
Comment 1 Jon Ewins 2018-12-18 22:34:18 UTC
This is an RSA signature failure after resume from S3.  Interestingly we have already successfully recovered twice before from gem_exec_suspend tests for S3 and S4 before hitting this issue on the kms suspend test.  Can't tell from the log if this test is consistently failing or this is an intermittent issue.
This might be related to the WaEnableGuCBootHashCheckNotSet issue and that is being checked.
Comment 2 Jon Ewins 2019-02-15 23:58:33 UTC
Possibly due to an intermittent Gen9 guc reload issue that can requires retry workaround and that will be tested.  Otherwise, further investigation will be deferred until after upcoming update to guc version.
Comment 3 Lakshmi 2019-02-27 09:19:52 UTC
Last seen drmtip_193 (1 month, 2 weeks / 976 runs ago).
Dropping the priority to high.
Comment 4 Lakshmi 2019-04-02 07:51:21 UTC
Comments from Fosha:
Patch to do GuC load retry sent to upstream mailing list, reviewed, and merged:
https://patchwork.freedesktop.org/patch/295098/?series=58758&rev=2

@Fosha, Can we resolve this bug? or this issue requires more patches to be merged?
Comment 5 Chris Wilson 2019-04-05 20:04:48 UTC
commit 52b832606038c5b3cb1070e7653e4115b7942606
Author: Robert M. Fosha <robert.m.fosha@intel.com>
Date:   Fri Mar 29 16:17:46 2019 -0700

    drm/i915/guc: Retry GuC load for all load failures
    
    Currently we only retry to load GuC firmware if the load fails due to
    timeout. On Gen9 GuC loading may fail for different reasons, not just
    hang/timeout. Direction from the GuC team is to retry for all cases of
    GuC load failure on Gen9, not just for timeout.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108593
    Signed-off-by: Robert M. Fosha <robert.m.fosha@intel.com>
    Cc: Daniele Ceraolo Spurio <daniele.ceraolospurio@intel.com>
    Cc: Michal Wajdeczko <michal.wajdeczko@intel.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190329231746.9129-1-robert.m.fosha@intel.com


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.